import React, { PropTypes } from 'react'
import styled from 'styled-components'
import Box from './Box'

const Styles = {}

// TODO: this needs some love

const getContextStyles = (context) => `
  background-color: ${context.backgroundColor};
  color: ${context.textColor};
  border-color: ${context.borderColor} !important;
`

Styles.dark = (val, theme) => {
  const i = Number.isInteger(val) ? val - 1 : 0
  const context = theme.context.dark[i]
  return getContextStyles(context)
}

Styles.tint = (val, theme) => {
  const i = Number.isInteger(val) ? val - 1 : 0
  const context = theme.context.tint[i]
  return getContextStyles(context)
}

Styles.white = (val, theme) => {
  const i = Number.isInteger(val) ? val - 1 : 0
  const context = theme.context.white[i]
  return getContextStyles(context)
}


const getStyle = ({ dark, tint, white }, theme) => {
  if (dark) return Styles.dark(dark, theme)
  if (tint) return Styles.tint(tint, theme)
  if (white) return Styles.white(white, theme)
  return ''
}

const styles = ({
  dark,
  tint,
  white,
  theme
}) => `
  position: relative;
  ${getStyle({ dark, tint, white }, theme)}
`

const Pane = styled(({ dark, tint, white, ...props }) =>
  React.createElement(Box, props))`${styles}`

Pane.propTypes = {
  ...Box.propTypes,
  dark: PropTypes.bool,
  tint: PropTypes.oneOfType([
    PropTypes.bool,
    PropTypes.oneOf([1, 2])
  ]),
  white: PropTypes.bool
}

Pane.displayName = 'Pane'

export default Pane
