import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Pane,
  Content,
  Text,
  SegmentLogo,
  SegmentIcon
} from '../components'

export default function paneStory (module) {
  storiesOf('Segment Logo and Icon', module)
    .add('usage', () => (
      <App>
        <Pane white padding={10}>
          <Content markdown>
  {`
  # Segment Logo and Icon

  The SegmentLogo and SegmentIcon component both implement \`<Box />\`.

  \`\`\`
  <SegmentLogo width='106px' display='inline-block' marginRight={4} />
  <SegmentIcon width='25px' display='inline-block' />
  \`\`\`

  `}
          </Content>
          <SegmentLogo width='106px' display='inline-block' marginRight={4} />
          <SegmentIcon width='25px' display='inline-block' />
        </Pane>
      </App>
    ))
    .add('Segment Logo', () => (
      <App>
        <Pane padding={5} clearfix>
          <SegmentLogo width='106px' />
        </Pane>
      </App>
    ))
    .add('Segment Icon', () => (
      <App>
        <Pane padding={5} clearfix>
          <SegmentIcon width='25px' />
        </Pane>
      </App>
    ))
}
